# Uberspace set up playbooks

Contains ansible playbooks to set up Uberspaces.

## Requirements

Technical dependencies on host machine (Python 3.5+):

* python3
* python3-pip
* python3-apt
* python3-selinux

Technical dependencies on managed machines:

* python2.7

Install further dependencies on the host machine: ``pip install -r requirements.txt``

## Usage

After cloning the repo to your ansible host, copy ``hosts.example`` to
``hosts`` and  fill the file appropriately.

Furthermore, you have to copy the ``*_vars.yml.example`` files and
update the variable values.

All playbooks expect a fresh Uberspace with SSH key set up via
management dashboard.

* postgres setup: ``ansible-playbook -i hosts postgres.yml``
